windowsAutopilotDeploymentProfile を取得する
名前空間: microsoft.graph
大事な: /beta バージョンの Microsoft Graph API は変更される可能性があります。運用環境での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
windowsAutopilotDeploymentProfile オブジェクトのプロパティとリレーションシップを読み取ります。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の大きいものから小さいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | |
| 登録 | DeviceManagementServiceConfig.ReadWrite.All、DeviceManagementServiceConfig.Read.All |
| ポリシー セット | DeviceManagementServiceConfig.ReadWrite.All、DeviceManagementServiceConfig.Read.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | |
| 登録 | DeviceManagementServiceConfig.ReadWrite.All、DeviceManagementServiceConfig.Read.All |
| ポリシー セット | DeviceManagementServiceConfig.ReadWrite.All、DeviceManagementServiceConfig.Read.All |
HTTP 要求
GET /deviceManagement/windowsAutopilotDeploymentProfiles/{windowsAutopilotDeploymentProfileId}
GET /deviceManagement/windowsAutopilotDeviceIdentities/{windowsAutopilotDeviceIdentityId}/deploymentProfile
GET /deviceManagement/windowsAutopilotDeviceIdentities/{windowsAutopilotDeviceIdentityId}/intendedDeploymentProfile
オプションのクエリ パラメーター
このメソッドは、応答をカスタマイズするための OData クエリ パラメーターをサポートします。
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
このメソッドには、要求本文を指定しません。
応答
成功した場合、このメソッドは応答本文で 200 OK 応答コードと windowsAutopilotDeploymentProfile オブジェクトを返します。
例
要求
以下は、要求の例です。
GET https://graph.microsoft.com/beta/deviceManagement/windowsAutopilotDeploymentProfiles/{windowsAutopilotDeploymentProfileId}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 1409
{
"value": {
"@odata.type": "#microsoft.graph.windowsAutopilotDeploymentProfile",
"id": "9d6394a9-94a9-9d63-a994-639da994639d",
"displayName": "Display Name value",
"description": "Description value",
"language": "Language value",
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"outOfBoxExperienceSettings": {
"@odata.type": "microsoft.graph.outOfBoxExperienceSettings",
"hidePrivacySettings": true,
"hideEULA": true,
"userType": "standard",
"deviceUsageType": "shared",
"skipKeyboardSelectionPage": true,
"hideEscapeLink": true
},
"enrollmentStatusScreenSettings": {
"@odata.type": "microsoft.graph.windowsEnrollmentStatusScreenSettings",
"hideInstallationProgress": true,
"allowDeviceUseBeforeProfileAndAppInstallComplete": true,
"blockDeviceSetupRetryByUser": true,
"allowLogCollectionOnInstallFailure": true,
"customErrorMessage": "Custom Error Message value",
"installProgressTimeoutInMinutes": 15,
"allowDeviceUseOnInstallFailure": true
},
"extractHardwareHash": true,
"deviceNameTemplate": "Device Name Template value",
"deviceType": "surfaceHub2",
"enableWhiteGlove": true,
"roleScopeTagIds": [
"Role Scope Tag Ids value"
]
}
}
フィードバック
フィードバックの送信と表示